HostInstance (CMDB Model API)
Keywords: com.collation.platform.model.provision.definition.HostInstance interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.definition
Interface HostInstance

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface HostInstance

extends ModelObject

Naming Rules:
  0="objectId"
Persistable:
  true
Table Name:
  HOSTINST
Display Name:
  hostId

Method Summary
`java.lang.String` | `getHostId()`
`Guid` | `getObjectId()`
`java.lang.String` | `getPath()`
`boolean` | `hasHostId()`
`boolean` | `hasObjectId()`
`boolean` | `hasPath()`
`void` | `setHostId(java.lang.String s)`
`void` | `setObjectId(Guid id)`
`void` | `setPath(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setPath

    void setPath(java.lang.String s)

### getPath

    java.lang.String getPath()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPath

    boolean hasPath()

### setHostId

    void setHostId(java.lang.String s)

### getHostId

    java.lang.String getHostId()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasHostId

    boolean hasHostId()

### setObjectId

    void setObjectId(Guid id)

### getObjectId

    Guid getObjectId()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasObjectId

    boolean hasObjectId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD